# Set to Off Mode

Set a thermostat to "off" mode.

{% openapi src="<https://connect.getseam.com/openapi.json>" path="/thermostats/off" method="post" %}
<https://connect.getseam.com/openapi.json>
{% endopenapi %}

### Code Example

{% tabs %}
{% tab title="Curl" %}

```bash
curl --request POST 'https://connect.getseam.com/thermostats/off' \
--header 'Authorization: Bearer ${API_KEY}' \
--header 'Content-Type: application/json' \
--header 'Seam-Workspace: 00000000-0000-0000-0000-000000000000' \
--data-raw '{
  "device_id": "11111111-1111-1111-1111-111111111111"
 }'
```

{% endtab %}
{% endtabs %}

### Parameters

<table data-header-hidden><thead><tr><th width="312.3333333333333"></th><th width="162"></th><th></th></tr></thead><tbody><tr><td><code>device_id</code></td><td>type: <code>string</code></td><td>ID of the Device of  the thermostat</td></tr></tbody></table>

### Response

This section shows the JSON response returned by the API. Since each language encapsulates this response inside objects specific to that language and/or implementation, the actual type in your language might differ from what’s written here.

#### JSON format

{% tabs %}
{% tab title="JSON" %}

```json
{
  "action_attempt": {
    "status": "pending",
    "action_type": "SET_OFF",
    "action_attempt_id": "22222222-2222-2222-2222-222222222222",
    "result": null,
    "error": null
  },
  "ok": true
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seam.co/latest/~/revisions/c4FVh9dgZ4L6PRgYYhk8/api/thermostats/off.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
